Subject: Re: Git to use XDG Base Directory Standard

From: Lanoxx <[email-masked]>
Date: Thu, 23 Aug 2012 09:22:36 +0200

On 23/08/12 04:57, David Aguilar wrote:
> On Wed, Aug 22, 2012 at 2:44 PM, Carlos Martín Nieto <[email-masked]> wrote:
>> Lanoxx <[email-masked]> writes:
>>
>>> Hi,
>>>
>>> Git and Gitk are currently using the ~/.gitconfig and ~/.gitk files in
>>> the $HOME directory. It would be nice to use the XDG Base Directory
>>> standard for the location instead, see [1] and [2]. Are there any
>>> plans regarding this standard?
>> Git does this starting at 1.7.12. See the release notes, e.g. at
>> https://github.com/git/git/blob/master/Documentation/RelNotes/1.7.12.txt#L18-23
>>
>>     cmn
> I do not recall whether gitk learned about it (I don't think so).
>
> Like all big sweeping changes, these were done in a
> backwards-compatible way that will allow users to switch over when
> they are ready.  If you are interested in attacking this from the gitk
> angle then you will want to follow a similar strategy.

I just checked it, the code is in 
https://github.com/git/git/blob/master/gitk-git/gitk:2710 and following. 
Currently it still saves it to ~/.gitk-new and then renames it to ~/.gitk

Unfortunately I do not know Tcl/Tk so I can't provide a patch. But if 
someone could provide a patch that would be really nice.